import scrapy


class ZolpicSpider(scrapy.Spider):
    name = 'zolpic2'
    allowed_domains = ['zol.com.cn']
    start_urls = ['https://desk.zol.com.cn/bizhi/8366_103760_2.html']

    def parse(self, response):
        img_url = response.xpath('//img[@id="bigImg"]/@src').get()
        nick = response.xpath('//h3/a/text()').get()
        name = response.xpath('//span[@class="current-num"]/text()').getall()[1]
        nick_name = nick + name
        yield {
            'image_urls': img_url,
            'nick_name': nick_name
        }
        next_url = response.xpath('//a[@id="pageNext"]/@href').get()
        if next_url.find('javascript') == -1:
            # full_url = f'https://desk.zol.com.cn/{next_url}'
            full_url = response.urljoin(next_url)
            yield scrapy.Request(full_url)
